Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1344231 - Review Request: multilib-rpm-config - packaging helpers for multilib issues
Summary: Review Request: multilib-rpm-config - packaging helpers for multilib issues
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kamil Dudka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1286193
TreeView+ depends on / blocked
 
Reported: 2016-06-09 08:40 UTC by Pavel Raiskup
Modified: 2016-06-29 21:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-29 14:16:36 UTC
Type: ---
kdudka: fedora-review+


Attachments (Terms of Use)

Description Pavel Raiskup 2016-06-09 08:40:31 UTC
Spec URL: https://github.com/devexp-db/db-rpm-config/blob/master/multilib-rpm-config.spec
SRPM URL: http://praiskup.fedorapeople.org/multilib-rpm-config-1-3.src.rpm
Description: Set of tools (shell scripts, RPM macro files) to help with multilib packaging issues.

Fedora Account System Username: praiskup

Comment 2 Vít Ondruch 2016-06-09 11:01:52 UTC
Isn't there already %{_rpmconfigdir} for RPM macros?

Comment 3 Pavel Raiskup 2016-06-09 11:21:59 UTC
So this is not valid anymore?

# https://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_of_Additional_RPM_Macros
%global macrosdir       %(d=%{_rpmconfigdir}/macros.d; [ -d $d ] || d=%{_sysconfdir}/rpm; echo $d)

Comment 4 Vít Ondruch 2016-06-09 11:34:58 UTC
(In reply to Pavel Raiskup from comment #3)
> So this is not valid anymore?


Ah, right ... Then it probably depends where you want to support this package. If you want to have it on older Fedoras/EPELs, then it is valid.

Comment 5 Pavel Raiskup 2016-06-10 06:18:35 UTC
Yes, this could be useful also for EPEL maintainers.  Well, the best approach
to me would be to make this available in RHEL, too -- just to not make
maintainers to write macro-conditionals-hell because of RHEL.

Comment 6 Pavel Raiskup 2016-06-10 06:22:44 UTC
Oops, no, this is not a candidate for macro conditionals but rather for
cut-and-paste;  but still having it in RHEL would be useful.

Comment 7 Jason Tibbitts 2016-06-10 07:42:50 UTC
For epel, I can just add a dependency to epel-rpm-macros.  You're welcome to file a ticket there.

And many releases currently have %rpmmacrodir, but I don't believe that I pushed it to F23.  It was my intention to do so but I'm not sure I ever got around to it.

Comment 8 Kamil Dudka 2016-06-13 14:37:00 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[X] = Manually Checked



===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 2 files have unknown license. Detailed
     output of licensecheck in /home/kdudka/fedora/curl/1344231-multilib-
     rpm-config/licensecheck.txt
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[X]: Package is not known to require an ExcludeArch tag.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[X]: Final provides and requires are sane (see attachments).
[X]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: multilib-rpm-config-1-3.fc24.noarch.rpm
          multilib-rpm-config-1-3.fc24.src.rpm
multilib-rpm-config.noarch: W: only-non-binary-in-usr-lib
multilib-rpm-config.src: W: strange-permission multilib-fix 755
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
multilib-rpm-config.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
multilib-rpm-config (rpmlib, GLIBC filtered):
    /bin/sh
    redhat-rpm-config



Provides
--------
multilib-rpm-config:
    multilib-rpm-config



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1344231
Buildroot used: fedora-24-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 9 Pavel Raiskup 2016-06-13 21:05:54 UTC
Thanks for the review!  SCM request submitted in pkgdb.

Comment 10 Gwyn Ciesla 2016-06-13 21:11:32 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/multilib-rpm-config

Comment 11 Fedora Update System 2016-06-14 08:07:29 UTC
multilib-rpm-config-1-4.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8588a263e0

Comment 12 Fedora Update System 2016-06-14 08:07:50 UTC
multilib-rpm-config-1-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7b237aa12a

Comment 13 Fedora Update System 2016-06-14 08:08:15 UTC
multilib-rpm-config-1-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-123bab5494

Comment 14 Fedora Update System 2016-06-14 08:30:08 UTC
multilib-rpm-config-1-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-715672d9b8

Comment 15 Fedora Update System 2016-06-14 08:30:29 UTC
multilib-rpm-config-1-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7aafb80e5c

Comment 16 Fedora Update System 2016-06-14 08:30:53 UTC
multilib-rpm-config-1-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ee0329adcb

Comment 17 Fedora Update System 2016-06-14 14:57:45 UTC
multilib-rpm-config-1-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ee0329adcb

Comment 18 Fedora Update System 2016-06-14 15:58:46 UTC
multilib-rpm-config-1-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7aafb80e5c

Comment 19 Fedora Update System 2016-06-14 15:59:19 UTC
multilib-rpm-config-1-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-715672d9b8

Comment 20 Fedora Update System 2016-06-14 22:18:00 UTC
multilib-rpm-config-1-4.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8588a263e0

Comment 21 Fedora Update System 2016-06-15 05:17:45 UTC
multilib-rpm-config-1-4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7b237aa12a

Comment 22 Fedora Update System 2016-06-15 05:18:25 UTC
multilib-rpm-config-1-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-123bab5494

Comment 23 Fedora Update System 2016-06-22 23:54:45 UTC
multilib-rpm-config-1-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2016-06-23 04:53:43 UTC
multilib-rpm-config-1-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2016-06-23 05:19:48 UTC
multilib-rpm-config-1-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2016-06-27 22:27:01 UTC
multilib-rpm-config-1-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-123bab5494

Comment 27 Fedora Update System 2016-06-27 22:28:16 UTC
multilib-rpm-config-1-5.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7b237aa12a

Comment 28 Fedora Update System 2016-06-27 22:28:39 UTC
multilib-rpm-config-1-5.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8588a263e0

Comment 29 Fedora Update System 2016-06-28 15:16:59 UTC
multilib-rpm-config-1-5.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7b237aa12a

Comment 30 Fedora Update System 2016-06-28 15:19:58 UTC
multilib-rpm-config-1-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-123bab5494

Comment 31 Fedora Update System 2016-06-29 14:16:33 UTC
multilib-rpm-config-1-5.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2016-06-29 20:18:55 UTC
multilib-rpm-config-1-5.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 33 Fedora Update System 2016-06-29 21:20:04 UTC
multilib-rpm-config-1-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.